# Loki::SingleThreaded< Host, MutexPolicy > Class Template Reference
[Threading]

`#include <Threads.h>`

List of all members.

## Classes

struct | Lock

## Detailed Description

### template<class Host, class MutexPolicy = ::Loki::Mutex>
class Loki::SingleThreaded< Host, MutexPolicy >

Implementation of the ThreadingModel policy used by various classes Implements a single-threaded model; no synchronization

The documentation for this class was generated from the following file:

- Threads.h